Bug 218551 - gfs_controld: remove needs_recovery state
gfs_controld: remove needs_recovery state
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Teigland
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-05 18:09 EST by David Teigland
Modified: 2009-04-16 18:49 EDT (History)
1 user (show)

See Also:
Fixed In Version: RC
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-07 20:24:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Teigland 2006-12-05 18:09:44 EST
Description of problem:

The needs_recovery state in gfs_controld is incorrectly set in
various situations which causes mounts/unmounts/recoveries on
the fs to not work.  We need to remove the needs_recovery state
entirely I believe.  Common trouble spot is processing new
mounts/joins while still processing recoveries.

Work through the relation between adding new nodes and waiting for
the recovery of a node to complete (get rid of needs_recovery):
new mounts should be processed as usual but delay notify_mount_client
until recovery is done, like with first mounter recovery.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Kiersten (Kerri) Anderson 2006-12-06 15:27:54 EST
This is needed to pass QE revolver tests on larger clusters.
Comment 2 David Teigland 2006-12-19 17:21:47 EST
Fixes related to the needs_recovery state and first-mounter recovery.
Probably not perfect yet, but working in the tests I'm able to contrive.

HEAD
Checking in recover.c;
/cvs/cluster/cluster/group/gfs_controld/recover.c,v  <--  recover.c
new revision: 1.27; previous revision: 1.26

RHEL5
Checking in recover.c;
/cvs/cluster/cluster/group/gfs_controld/recover.c,v  <--  recover.c
new revision: 1.23.2.4; previous revision: 1.23.2.3

RHEL50
Checking in recover.c;
/cvs/cluster/cluster/group/gfs_controld/recover.c,v  <--  recover.c
new revision: 1.23.4.4; previous revision: 1.23.4.3
Comment 3 RHEL Product and Program Management 2007-02-07 20:24:06 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.
Comment 4 Nate Straz 2007-12-13 12:22:25 EST
Moving all RHCS ver 5 bugs to RHEL 5 so we can remove RHCS v5 which never existed.

Note You need to log in before you can comment on or make changes to this bug.